commit 33bfd9020fdad925297c9e133055bd8804028f32
Author: Florian Weimer <fweimer@redhat.com>
Date:   Wed Mar 12 10:23:47 2025 +0100

    Linux: Remove attribute access from sched_getattr (bug 32781)
    
    The GCC attribute expects an element count, not bytes.
    
    (cherry picked from commit 74c68fa61b5ebf4c64605a3cc5e47154a66671ce)

diff --git a/NEWS b/NEWS
index d819f5d896..983f8c6404 100644
--- a/NEWS
+++ b/NEWS
@@ -14,6 +14,7 @@ The following bugs were resolved with this release:
   [32627] math: math: sinhf is not correctly rounded
   [32630] math: math: tanf is not correctly rounded for all rounding
     modes
+  [32781] Linux: Remove attribute access from sched_getattr
 
 Version 2.41
 
diff --git a/sysdeps/unix/sysv/linux/bits/sched.h b/sysdeps/unix/sysv/linux/bits/sched.h
index 3656e98eda..39b0b3d19c 100644
--- a/sysdeps/unix/sysv/linux/bits/sched.h
+++ b/sysdeps/unix/sysv/linux/bits/sched.h
@@ -152,7 +152,7 @@ int sched_setattr (pid_t tid, struct sched_attr *attr, unsigned int flags)
    store it in *ATTR.  */
 int sched_getattr (pid_t tid, struct sched_attr *attr, unsigned int size,
 		   unsigned int flags)
-  __THROW __nonnull ((2)) __attr_access ((__write_only__, 2, 3));
+  __THROW __nonnull ((2));
 
 #endif
 

